MIFARE_ULTRALIGHT(3)

NAME
mifare_ultralight_connect, mifare_ultralight_disconnect, mifare_ultralight_read, mifare_ultralight_write, - Mifare UltraLight Manipulation Functions

LIBRARY
Mifare card manipulation library (libfreefare, -lfreefare)

SYNOPSIS
#include <freefare.h>
int
mifare_ultralight_connect(MifareTag tag);
int
mifare_ultralight_disconnect(MifareTag tag);
int
mifare_ultralight_read(MifareTag tag, const MifareUltralightPageNumber page, MifareUltralightPage *data);
int
mifare_ultralight_write(MifareTag tag, const MifareUltralightPageNumber page, const MifareUltralightPage data);

DESCRIPTION
The mifare_ultralight_*() functions allows management of Mifare UltraLight tags.

The mifare_ultralight_connect() function activates the specified tag.

A page of data can be read from a tag using mifare_ultralight_read(), and written using mifare_ultralight_write().

After usage, a tag is deactivated using mifare_ultralight_disconnect().

RETURN VALUES
Unless stated otherwise, all functions return a value greater than or equal to 0 on success or -1 on failure.

SEE ALSO
freefare(3)

AUTHORS
Romain Tartiere <romain@blogreen.org> Romuald Conty <romuald@libnfc.org>